特定のアプリのコール拡張機能設定を更新します。
curl --request PATCH \
--url https://api.hubapi.com/crm/v3/extensions/calling/{appId}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"height": 123,
"isReady": true,
"name": "<string>",
"supportsCustomObjects": true,
"supportsInboundCalling": true,
"url": "<string>",
"usesCallingWindow": true,
"usesRemote": true,
"width": 123
}
'import requests
url = "https://api.hubapi.com/crm/v3/extensions/calling/{appId}/settings"
payload = {
"height": 123,
"isReady": True,
"name": "<string>",
"supportsCustomObjects": True,
"supportsInboundCalling": True,
"url": "<string>",
"usesCallingWindow": True,
"usesRemote": True,
"width": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
height: 123,
isReady: true,
name: '<string>',
supportsCustomObjects: true,
supportsInboundCalling: true,
url: '<string>',
usesCallingWindow: true,
usesRemote: true,
width: 123
})
};
fetch('https://api.hubapi.com/crm/v3/extensions/calling/{appId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"height": 123,
"isReady": true,
"name": "<string>",
"supportsCustomObjects": true,
"supportsInboundCalling": true,
"updatedAt": "2023-11-07T05:31:56Z",
"url": "<string>",
"usesCallingWindow": true,
"usesRemote": true,
"width": 123
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}設定
Update the calling extension settings for a specific app.
指定されたappIdの既存のコール拡張機能設定を変更します。リクエストで指定されたフィールドのみが更新されます。
PATCH
/
crm
/
v3
/
extensions
/
calling
/
{appId}
/
settings
特定のアプリのコール拡張機能設定を更新します。
Supported products
Supported products
承認
The access token received from the authorization server in the OAuth 2.0 flow.
パスパラメータ
コール拡張機能設定を更新するアプリの固有ID。
ボディ
application/json
コール拡張機能インターフェースの高さ設定。
コール拡張機能を使用する準備ができたかどうかを示します。
コール拡張機能の名前。
コール拡張機能でカスタムオブジェクトがサポートされているかどうかを示します。
コール拡張機能でインバウンドコールがサポートされているかどうかを示します。
コール拡張機能設定と関連付けられたURL。
コール拡張機能でコールウィンドウが使用されるかどうかを示します。
コール拡張機能でリモート接続が使用されるかどうかを示します。
コール拡張機能インターフェースの幅設定。
レスポンス
successful operation
コール拡張機能設定が作成された日時。
コール拡張機能インターフェースの高さ。
コール拡張機能設定を使用する準備ができたかどうかを示します。
コール拡張機能の名前。
コール拡張機能でカスタムオブジェクトがサポートされているかどうかを示します。
コール拡張機能でインバウンドコールがサポートされているかどうかを示します。
コール拡張機能設定が最後に更新された日時。
コール拡張機能と関連付けられたURL。
コール拡張機能で専用のコールウィンドウが使用されるかどうかを示します。
コール拡張機能でリモートサービスが使用されるかどうかを示します。
コール拡張機能インターフェースの幅。
最終更新日 2026年4月10日
Retrieve the calling extension settings for a specific app.
前へ
Delete the calling extension settings for a specific app.
次へ
⌘I